/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

header.is-absolute .fs-block-nav a{
	color: #ffffff;
}
header.is-absolute .fs-block-nav .fs-nav-link:is(a:hover,.is-active,.current-menu-item,[aria-current=page],[aria-selected=true]){
	color: var(--fs-blocks-color-secondary);
}
.fs-block-nav-overlay__content{
	background-color: var(--wp--preset--color--primary)
}
.fs-nav-back{
	background-color: var(--wp--preset--color--primary)!important;color: #fff;
}
a:where(:not(.wp-element-button)) {
	color: var(--fs-blocks-color-success);
}
:root :where(a:where(:not(.wp-element-button)):hover){
	color: var(--fs-blocks-color-success);
}
.overflow-hidden{
	overflow: hidden;
}
.color-w,.color-w a{
	color: #ffffff;
}
.w-bold{
	font-weight: bold;
}
.wp-site-blocks {
	overflow: hidden;
}
.banner-video-home{height:50%}
.banner-video-home__content .fs-block-text-box__content{
	max-width: 510px;
	height: 287px;
	background-image: url(./assets/img/say-yes.png);
	background-size: cover;
	position: absolute;
	top: 20px;
	right: 20px;
	z-index: 10;
	padding: 60px 10px 10px 130px;
}

.trendy-tour-duration.duration-badge {
	right: 10px; bottom:10px;position: absolute;
	padding: 6px 10px;
}
.box-icon-visa {
	border-radius: 25px;
	align-items: center;
	box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}
.box-icon-visa img{border-radius: 0!important;}
.box-list-visa{
	background-color: #EFF2FA;
	border-width: 0px 0px 0px 6px;
	border-color: var(--wp--preset--color--secondary);
	border-style: solid;
	padding: 27px 30px 27px 35px;
	display: grid;
	grid-template-columns: repeat(2, minmax(0, 1fr));
	gap: 12px 15px;
}
.box-list-visa .fs-block-list-item__text{
	color: #0a0a0a;
}
.fs-block-image{overflow: hidden}
.fs-block-image .fs-block-image__media{
	border-radius: 0!important;
}
.trendy-button.is-style-fill {
	overflow: hidden;
	padding: 6px 6px 6px 20px;
	border-radius: 99px;
	font-weight: 600;
	transition: all 0.3s ease-in-out;
	border-color: transparent!important;
	& .fs-icon {
		transition: all 0.3s ease-in-out;
		background-color: #fff;
		color: var(--background-color);
		font-size: 25px;
		border-radius: 99px;
		padding: 5px;
		transform: rotate(-45deg)
	}
}
.trendy-button.is-style-fill:hover,.trendy-button.is-style-fill:focus{
	border-color: var(--wp--preset--color--secondary) !important;
	& .fs-icon {
		transform: rotate(0deg)
	}
}
.trendy-button.is-style-fill:before {
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	content: "";
	-webkit-transform: scale(0, 1);
	transform: scale(0, 1);
	-webkit-transform-origin: top right;
	transform-origin: top right;
	transition: -webkit-transform 500ms cubic-bezier(.86, 0, .07, 1);
	-webkit-transition: -webkit-transform 500ms cubic-bezier(.86, 0, .07, 1);
	transition: transform 500ms cubic-bezier(.86, 0, .07, 1);
	transition: transform 500ms cubic-bezier(.86, 0, .07, 1), -webkit-transform 500ms cubic-bezier(.86, 0, .07, 1);
	-webkit-transition-timing-function: cubic-bezier(.86, 0, .07, 1);
	transition-timing-function: cubic-bezier(.86, 0, .07, 1);
	background-color: var(--wp--preset--color--secondary);
	border: 1px solid var(--wp--preset--color--secondary);
}
.trendy-button.is-style-fill:hover:before,.trendy-button.is-style-fill:focus:before{
	-webkit-transform: scale(1, 1);
	transform: scale(1, 1);
	-webkit-transform-origin: bottom left;
	transform-origin: bottom left;
}
.fs-block-posts__item .trendy-button.is-style-fill {
	font-size: 95%;
	& .fs-icon{
		font-size: 18px;
	}
}

@media (max-width: 1200px){
	.box-list-visa{grid-template-columns: repeat(1, minmax(0, 1fr));}

}

.box-blur{
	backdrop-filter: blur(20px);
	-webkit-backdrop-filter: blur(20px);
	--border-color:#FFFFFF5C;
	--border-left-width:1px;
	--border-right-width:1px;
	--border-top-width:1px;
	--border-bottom-width:1px;
	--overlay-opacity:0.4;
	--overlay-mix-blend-mode: initial;
	--overlay-transition: 0.3s;
	background-color: var(--border-color);
}
.box-blur:before{
	border-radius: var(--wp--preset--border-radius--2-xl);
	content:"";
	display: block;
	height: max(100% + var(--border-top-width) + var(--border-bottom-width), 100%);
	left: calc(0px - var(--border-left-width));
	mix-blend-mode: var(--overlay-mix-blend-mode);
	opacity: var(--overlay-opacity);
	position: absolute;
	top: calc(0px - var(--border-top-width));
	transition: var(--overlay-transition, .3s);
	width: max(100% + var(--border-left-width) + var(--border-right-width), 100%);
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details {
	display: flex;
	flex-direction: column;
	gap: 6px;
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details > span {
	display: flex;
	gap: 2px;
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details > span > [aria-hidden="true"] {
	display: none;
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details__name,
.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details__value {
	display: block;
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-details__fees {
	padding-top: 8px;
	margin-top: 8px;
	border-top: 1px solid #d9d9d9;
}

.box-footer .fs-block-col:not(:last-of-type):before {
	content: '';
	display: block;
	width: 100%;
	height: 1px;
	background-color: #ffffff29;
	position: absolute;
	right: 0;
	bottom: 0;
}
@media (min-width: 850px) {
	.box-footer .fs-block-col:not(:last-of-type):before {
		width: 1px;
		height: 100%;
		right: 0;
		bottom: 0;
	}
}
@media (max-width: 849px) {
	.banner-video-home__content .fs-block-text-box__content{
		top: -40px;
	}
}
@media (max-width: 600px) {

	.banner-video-home{height:30%}
	.banner-video-home__content .fs-block-text-box__content {
		max-width: 510px;
		height: 287px;
		top: -35px;
		right: 0;
		z-index: 10;
		padding: 60px 10px 10px 130px;
	}
}


@media only screen and (max-width: 48em) {
	/*************** ADD MOBILE ONLY CSS HERE  ***************/


}
